#include "journal.hpp"
#include <iostream>
#include <sstream>
#include <stdio.h>

int main(int argc, const char* argv[]) {
  auto stream = std::make_shared<std::stringstream>();

  journal::init_std_out_err();
  journal::add_sink(stream, journal::LogVerbosity::Warn);
  journal::add_file("test.log");
  journal::info("some info!");
  journal::error("something went wrong!");
  journal::warn("something went slightly wrong!");
  std::cin.get();
  std::cout << "stream content: \n" << stream->view() << "\n";
  journal::trace("just some very verbose stuff here");
  return 1;
}